# classes/phing/tasks/system/PhpEvalTask.php

Executes PHP function or evaluates expression and sets return value to a property.

WARNING: This task can, of course, be abused with devastating effects. E.g. do not modify internal Phing classes unless you know what you are doing.

author
  Hans Lellelid
package
  phing.tasks.system
todo
  Add support for evaluating expressions
version
  $Revision: 680 $

## \FunctionParam
jump to top

Supports the <param> nested tag for PhpTask.

package
  phing.tasks.system

### Properties

`$val= ''`
Details

Type

### Methods

`addText( $v ) :`
Parameters

Name | Type | Description
--- | --- | ---
$v |  |

`getValue( ) :`
`setValue( $v ) :`
Parameters

Name | Type | Description
--- | --- | ---
$v |  |

## \PhpEvalTask
jump to top

Executes PHP function or evaluates expression and sets return value to a property.

WARNING: This task can, of course, be abused with devastating effects. E.g. do not modify internal Phing classes unless you know what you are doing.

Extends from
  \Task
author
  Hans Lellelid
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.system
todo
  Add support for evaluating expressions
version
  $Revision: 680 $

### Properties

`$class= ''`
Details

Type

`$expression= ''`
Details

Type

`$function= ''`
Details

Type

`$params= 'array'`
Default value `array` Details

Type

`$returnProperty= 'null'`
Default value `null` Details

Type

### Methods

`addText( $expression ) :`
Set PHP expression to evaluate.
Parameters

Name | Type | Description
--- | --- | ---
$expression |  |

`callFunction( ) : mixed`
Calls function and returns results.
Returns

Type | Description
--- | ---
mixed |

`createParam( ) :`
Add a nested tag.
`evalExpression( ) : mixed`
Evaluates expression and returns resulting value.
Returns

Type | Description
--- | ---
mixed |

`main( ) :`
Main entry point.
`setClass( $c ) :`
Set [static] class which contains function to execute
Parameters

Name | Type | Description
--- | --- | ---
$c |  |

`setExpression( $expression ) :`
Set PHP expression to evaluate.
Parameters

Name | Type | Description
--- | --- | ---
$expression |  |

`setFunction( $f ) :`
Set function to execute
Parameters

Name | Type | Description
--- | --- | ---
$f |  |

`setReturnProperty( $r ) :`
Sets property name to set with return value of function or expression.
Parameters

Name | Type | Description
--- | --- | ---
$r |  |

Documentation was generated by DocBlox 0.13.1.